# Revokes a merchant API key

DELETE {{baseURL}}/v2/api-keys/{{clientId}}

This endpoint revokes a merchant API key.

See Also:
To list available keys, see GET /v2/api-keys
To create an API key, see POST /v2/api-keys

Endpoint: DELETE /v2/api-keys/{clientId}
Version: V2 Beta
Security: Bearer

## Path parameters:

  - `clientId` (string, required)
    Specifies the API key's client identifier.

If the API token used for this endpoint was created from a partner API key, an API key can be revoked only for merchants associated with that partner.

If the API token used for this endpoint was created from a merchant API key, an API key can be revoked only for that merchant.
    Example: "aa98aa89-07ae-4a23-b441-48725f0386e6"

## Response 400 fields (application/json):

  - `details` (string,null)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: "Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error"

  - `statusCode` (integer,null)
    Specifies the HTTP response status code.

This is the HTTP status code returned by the attempted delivery.

The following is a list of HTTP response status codes that include but are not limited to:

| HTTP Status | Meaning |
|:-----------:|---------|
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string,null)
    Indicates the source of the error.

Example:
    Example: "<Service>"

  - `exceptionType` (string,null)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: "FluentValidation.ValidationException"

  - `correlationId` (string,null)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: "aa6cfcd0-0295-4a4c-b074-8c901f114fef"

  - `entityId` (string,null)
    Indicates the entity identifier.

Example:
null

  - `errorCode` (string,null)
    Indicates the error code.

Example:
null

  - `title` (string,null)

  - `cause` (string,null)

  - `resolution` (string,null)

  - `documentationUrl` (string,null)

## Response 403 fields (application/json):

  - `details` (string,null)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: "Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error"

  - `statusCode` (integer,null)
    Specifies the HTTP response status code.

This is the HTTP status code returned by the attempted delivery.

The following is a list of HTTP response status codes that include but are not limited to:

| HTTP Status | Meaning |
|:-----------:|---------|
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string,null)
    Indicates the source of the error.

Example:
    Example: "<Service>"

  - `exceptionType` (string,null)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: "FluentValidation.ValidationException"

  - `correlationId` (string,null)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: "aa6cfcd0-0295-4a4c-b074-8c901f114fef"

  - `entityId` (string,null)
    Indicates the entity identifier.

Example:
null

  - `errorCode` (string,null)
    Indicates the error code.

Example:
null

  - `title` (string,null)

  - `cause` (string,null)

  - `resolution` (string,null)

  - `documentationUrl` (string,null)

  - `errors` (object,null)


## Response 200 fields
